Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class MessagePool

    java.lang.Object
      org.jboss.mq.MessagePool

public class MessagePool
extends Object

This class provides a pool of SpyMessages. This is an very simple implementation first up.

Version:
  $Revision: 1.3 $
Author:
  David Maplesden (David.Maplesden@orion.co.nz), Adrian Brock

Constructor Summary
`MessagePool()`

Method Summary
`static SpyBytesMessage` | `getBytesMessage()` Gets a bytes message.
`static SpyEncapsulatedMessage` | `getEncapsulatedMessage()` Gets a encapsulated message.
`static SpyMapMessage` | `getMapMessage()` Gets a map message
`static SpyMessage` | `getMessage()` Gets a message
`static SpyObjectMessage` | `getObjectMessage()` Gets an object message.
`static SpyStreamMessage` | `getStreamMessage()` Gets a stream message.
`static SpyTextMessage` | `getTextMessage()` Gets a text message.
`static void` | `releaseMessage(SpyMessage message)` Releases a SpyMessage.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagePool

    public MessagePool()

Method Detail

### getMessage

    public static SpyMessage getMessage()

  Gets a message

  Returns:
    a message

### getBytesMessage

    public static SpyBytesMessage getBytesMessage()

  Gets a bytes message.

  Returns:
    a bytes message

### getMapMessage

    public static SpyMapMessage getMapMessage()

  Gets a map message

  Returns:
    a map message

### getStreamMessage

    public static SpyStreamMessage getStreamMessage()

  Gets a stream message.

  Returns:
    a stream message

### getObjectMessage

    public static SpyObjectMessage getObjectMessage()

  Gets an object message.

  Returns:
    an object message

### getTextMessage

    public static SpyTextMessage getTextMessage()

  Gets a text message.

### getEncapsulatedMessage

    public static SpyEncapsulatedMessage getEncapsulatedMessage()

  Gets a encapsulated message.

### releaseMessage

    public static void releaseMessage(SpyMessage message)

  Releases a SpyMessage.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.